curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/triples' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"clear_valid_time": true,
"confidence": 7.5,
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"predicate": "string",
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"valid_from": "string",
"valid_to": "string"
}'
{
"confidence": 7.5,
"object": "string",
"object_name": "string",
"predicate": "string",
"subject": "Replacement tent pole set",
"subject_name": "string",
"valid_from": "string",
"valid_to": "string"
}
Update a triple's confidence
Update a triple’s confidence. Required scope: write
PATCH
/
api
/
v1
/
triples
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/triples' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"clear_valid_time": true,
"confidence": 7.5,
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"predicate": "string",
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"valid_from": "string",
"valid_to": "string"
}'
{
"confidence": 7.5,
"object": "string",
"object_name": "string",
"predicate": "string",
"subject": "Replacement tent pole set",
"subject_name": "string",
"valid_from": "string",
"valid_to": "string"
}
Update a triple’s confidence.
Required scope:
write
Request body
UpdateTripleRequest
boolean
If true, clear the validity interval on this triple.
number (float)
New confidence score
string
required
Object entity ID (to identify the triple)
string
required
Predicate name (to identify the triple)
string
required
Subject entity ID (to identify the triple)
string
Optional RFC3339 start of validity interval.
string
Optional RFC3339 end of validity interval.
Response
TripleResponse
number (float)
required
string
required
string
required
string
required
string
required
string
required
string
string
Status codes
| Code | Meaning |
|---|---|
200 | Triple updated |
400 | Invalid request |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Triple not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request PATCH \
--url 'https://api.nsr.stateset.com/api/v1/triples' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"clear_valid_time": true,
"confidence": 7.5,
"object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"predicate": "string",
"subject_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"valid_from": "string",
"valid_to": "string"
}'
{
"confidence": 7.5,
"object": "string",
"object_name": "string",
"predicate": "string",
"subject": "Replacement tent pole set",
"subject_name": "string",
"valid_from": "string",
"valid_to": "string"
}
Last modified on August 31, 2026